@startuml

!theme crt-green
skinparam backgroundColor #000000
skinparam nodesep 100
skinparam ranksep 100
skinparam edgesep 100
top to bottom direction
skinparam linetype ortho

entity Contact_ {
   contactId: bigint(20)
   --
   userId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   classNameId: bigint(20) <PFK>
   classPK: bigint(20) <PFK>
   mvccVersion: bigint(20)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   parentContactId: bigint(20)
   emailAddress: varchar(254)
   firstName: varchar(75)
   middleName: varchar(75)
   lastName: varchar(75)
   prefixListTypeId: bigint(20)
   suffixListTypeId: bigint(20)
   male: tinyint(4)
   birthday: datetime(6)
   smsSn: varchar(75)
   facebookSn: varchar(75)
   jabberSn: varchar(75)
   skypeSn: varchar(75)
   twitterSn: varchar(75)
   employeeStatusId: varchar(75)
   employeeNumber: varchar(75)
   jobTitle: varchar(100)
   jobClass: varchar(75)
   hoursOfOperation: varchar(75)
}
class EmailAddress {
   emailAddressId: bigint(20)
   ctCollectionId: bigint(20)
   --
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   classNameId: bigint(20) <PFK>
   classPK: bigint(20) <PFK>
   mvccVersion: bigint(20)
   uuid_: varchar(75)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   address: varchar(254)
   listTypeId: bigint(20)
   primary_: tinyint(4)
}
class Phone {
   phoneId: bigint(20)
   ctCollectionId: bigint(20)
   --
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   classNameId: bigint(20) <PFK>
   classPK: bigint(20) <PFK>
   mvccVersion: bigint(20)
   uuid_: varchar(75)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   number_: varchar(75)
   extension: varchar(75)
   listTypeId: bigint(20)
   primary_: tinyint(4)
}
class Website {
   websiteId: bigint(20)
   --
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   classNameId: bigint(20) <PFK>
   classPK: bigint(20) <PFK>
   mvccVersion: bigint(20)
   uuid_: varchar(75)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   url: longtext
   listTypeId: bigint(20)
   primary_: tinyint(4)
   lastPublishDate: datetime(6)
}

@enduml
